ru.bitel.bgbilling.modules.inet.access.sa

## Enum ServiceActivatorEventType

- java.lang.Object
- - java.lang.Enum<ServiceActivatorEventType>
  - - ru.bitel.bgbilling.modules.inet.access.sa.ServiceActivatorEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServiceActivatorEventType>

      public enum ServiceActivatorEventType
      extends java.lang.Enum<ServiceActivatorEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNTING_START`
    `ACCOUNTING_STOP`
    `ACCOUNTING_UPDATE`
    `SERVICE_CANCEL`
    `SERVICE_CREATE`
    `SERVICE_MODIFY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static ServiceActivatorEventType` | `getServiceActivatorEventTypeByCode(int code)`
    `java.lang.String` | `toString()`
    `static ServiceActivatorEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServiceActivatorEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVICE_CREATE

          public static final ServiceActivatorEventType SERVICE_CREATE

    - #### SERVICE_MODIFY

          public static final ServiceActivatorEventType SERVICE_MODIFY

    - #### SERVICE_CANCEL

          public static final ServiceActivatorEventType SERVICE_CANCEL

    - #### ACCOUNTING_START

          public static final ServiceActivatorEventType ACCOUNTING_START

    - #### ACCOUNTING_STOP

          public static final ServiceActivatorEventType ACCOUNTING_STOP

    - #### ACCOUNTING_UPDATE

          public static final ServiceActivatorEventType ACCOUNTING_UPDATE

  - ### Method Detail

    - #### values

          public static ServiceActivatorEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceActivatorEventType c : ServiceActivatorEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceActivatorEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ServiceActivatorEventType>`

    - #### getServiceActivatorEventTypeByCode

          public static ServiceActivatorEventType getServiceActivatorEventTypeByCode(int code)